/*
 * ２プレイヤーモード時の
 * １Ｐ側操作ルーチン
 * 基本的にhuman.cと同じ
 */
#include <system.h>
#include <v93.h>
#include "vardecl.h"
#include "service.h"

void
Human1Main(int which)
{
  if (Pad00.KD_DAT & KP_2)
    S_Forward(which);
  else if (((Pad00.KD_DAT & KP_1) || (Pad00.KD_DAT & KP_3)) 
          && S_GetSpeed(which) > 0.0)
    S_Backward(which);
  if (Pad00.KD_DAT & KP_right)
    S_TurnRight(which);
  if (Pad00.KD_DAT & KP_left)
    S_TurnLeft(which);
  MSLPutRadar(which, RADAR_X1, RADAR_Y1);
}
